Module ij
Package ij.plugin

# Class Converter

java.lang.Object
ij.plugin.Converter

All Implemented Interfaces:
  `PlugIn`

public class Converter extends Object implements PlugIn
Implements the conversion commands in the Image/Type submenu.

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`newWindowCreated`
obsolete

## Constructor Summary

Constructors
Constructor
Description
`Converter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`convert(String item)`
Converts the ImagePlus to the specified image type.
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### newWindowCreated

public static boolean newWindowCreated
obsolete

## Constructor Details

### Converter

public Converter()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### convert

public void convert(String item)
Converts the ImagePlus to the specified image type. The string argument corresponds to one of the labels in the Image/Type submenu ("8-bit", "16-bit", "32-bit", "8-bit Color", "RGB Color", "RGB Stack", "HSB Stack", "Lab Stack" or "HSB (32-bit)").